using FluentScheduler;
using Sevomin.Models.Helpers.ScheduledTasks;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sevomin.Models.Helpers
{
    public class SevominRegistry : Registry
    {
        public SevominRegistry()
        {
            Schedule<NewApplication>().ToRunEvery(2).Days().At(8, 0);
            Schedule<ExpiringJob>().ToRunEvery(1).Days().At(8, 10);
            Schedule<NewJob>().ToRunEvery(1).Days().At(8, 20);
        }
    }
}
